

' Microsecond and Millisecond .NET Timer
' http://www.codeproject.com/KB/dotnet/MicroTimer.aspx


' http://www.developerfusion.com/tools/convert/csharp-to-vb/





Public Class Application
	Public Shared Sub Main()
		MicroTimerTest()
		System.Console.WriteLine("Hello world!")
	End Sub
	
	Private Sub MicroTimerTest()
		Dim microTimer As New MicroLibrary.MicroTimer()
		microTimer.MicroTimerElapsed += New MicroLibrary.MicroTimer.MicroTimerElapsedEventHandler(AddressOf OnTimedEvent)
		' Call micro timer every 1000µs (1ms)
		microTimer.Interval = 1000
		' Can choose to ignore event if late by Xµs
		' (by default it will try to catch up)
		' microTimer.IgnoreEventIfLateBy = 500;
		microTimer.Enabled = True
		' Start timer
		' Do something whilst events happening, for demo sleep 2000ms (2sec)
		System.Threading.Thread.Sleep(2000)
		microTimer.Enabled = False
		' Stop timer
		Console.ReadLine()
	End Sub

	Private Sub OnTimedEvent(sender As Object, timerEventArgs As MicroLibrary.MicroTimerEventArgs)
		' Do something small that takes significantly less time than Interval
		Console.WriteLine(String.Format("Count = {0:#,0}  Timer = {1:#,0} µs," & " LateBy = {2:#,0} µs, ExecutionTime = {3:#,0} µs", timerEventArgs.TimerCount, timerEventArgs.ElapsedMicroseconds, timerEventArgs.TimerLateBy, timerEventArgs.CallbackFunctionExecutionTime))
	End Sub
End Class




		
		
		

REM Namespace MicroTimerConsoleDemo
REM	Class Program
REM		Private Shared Sub Main(args As String())
REM			Dim program As New Program()
REM			program.MicroTimerTest()
REM		End Sub
REM
REM		Private Sub MicroTimerTest()
REM			Dim microTimer As New MicroLibrary.MicroTimer()
REM			microTimer.MicroTimerElapsed += New MicroLibrary.MicroTimer.MicroTimerElapsedEventHandler(AddressOf OnTimedEvent)
REM			' Call micro timer every 1000Âµs (1ms)
REM			microTimer.Interval = 1000
REM			' Can choose to ignore event if late by Xµs
REM			' (by default it will try to catch up)
REM			' microTimer.IgnoreEventIfLateBy = 500;
REM			microTimer.Enabled = True
REM			' Start timer
REM			' Do something whilst events happening, for demo sleep 2000ms (2sec)
REM			System.Threading.Thread.Sleep(2000)
REM			microTimer.Enabled = False
REM			' Stop timer
REM			Console.ReadLine()
REM		End Sub
REM
REM		Private Sub OnTimedEvent(sender As Object, timerEventArgs As MicroLibrary.MicroTimerEventArgs)
REM			' Do something small that takes significantly less time than Interval
REM			Console.WriteLine(String.Format("Count = {0:#,0}  Timer = {1:#,0} µs," & " LateBy = {2:#,0} µs, ExecutionTime = {3:#,0} µs", timerEventArgs.TimerCount, timerEventArgs.ElapsedMicroseconds, timerEventArgs.TimerLateBy, timerEventArgs.CallbackFunctionExecutionTime))
REM		End Sub
REM	End Class
REM End Namespace



